cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/deployed-triggers \
--header 'Authorization: Bearer <token>' \
--header 'x-pd-environment: <x-pd-environment>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
const pageableResponse = await client.deployedTriggers.list({
after: "after",
before: "before",
limit: 1,
externalUserId: "external_user_id",
emitterType: "email"
});
for await (const item of pageableResponse) {
console.log(item);
}
// Or you can manually iterate page-by-page
let page = await client.deployedTriggers.list({
after: "after",
before: "before",
limit: 1,
externalUserId: "external_user_id",
emitterType: "email"
});
while (page.hasNextPage()) {
page = page.getNextPage();
}
// You can also access the underlying response
const response = page.response;
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
response = client.deployed_triggers.list(
after="after",
before="before",
limit=1,
external_user_id="external_user_id",
emitter_type="email",
)
for item in response:
yield item
# alternatively, you can paginate page-by-page
for page in response.iter_pages():
yield page
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.deployedtriggers.requests.DeployedTriggersListRequest;
import com.pipedream.api.types.EmitterType;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.deployedTriggers().list(
DeployedTriggersListRequest
.builder()
.externalUserId("external_user_id")
.after("after")
.before("before")
.limit(1)
.emitterType(EmitterType.EMAIL)
.build()
);
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/deployed-triggers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"owner_id": "<string>",
"component_id": "<string>",
"configurable_props": [
{
"name": "<string>",
"type": "alert",
"content": "<string>",
"label": "<string>",
"description": "<string>",
"optional": true,
"disabled": true,
"readOnly": true,
"hidden": true,
"remoteOptions": true,
"useQuery": true,
"reloadProps": true,
"withLabel": true
}
],
"configured_props": {},
"active": true,
"created_at": 123,
"updated_at": 123,
"name": "<string>",
"name_slug": "<string>",
"type": "DeployedComponent",
"component_key": "<string>",
"callback_observations": "<unknown>",
"emit_on_deploy": true,
"webhook_signing_key": "<string>"
}
],
"page_info": {
"count": 10,
"total_count": 120,
"start_cursor": "<string>",
"end_cursor": "<string>"
}
}{
"error": "Throttled"
}List deployed triggers
Retrieve all deployed triggers for a specific external user
GET
/
v1
/
connect
/
{project_id}
/
deployed-triggers
cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/deployed-triggers \
--header 'Authorization: Bearer <token>' \
--header 'x-pd-environment: <x-pd-environment>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
const pageableResponse = await client.deployedTriggers.list({
after: "after",
before: "before",
limit: 1,
externalUserId: "external_user_id",
emitterType: "email"
});
for await (const item of pageableResponse) {
console.log(item);
}
// Or you can manually iterate page-by-page
let page = await client.deployedTriggers.list({
after: "after",
before: "before",
limit: 1,
externalUserId: "external_user_id",
emitterType: "email"
});
while (page.hasNextPage()) {
page = page.getNextPage();
}
// You can also access the underlying response
const response = page.response;
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
response = client.deployed_triggers.list(
after="after",
before="before",
limit=1,
external_user_id="external_user_id",
emitter_type="email",
)
for item in response:
yield item
# alternatively, you can paginate page-by-page
for page in response.iter_pages():
yield page
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.deployedtriggers.requests.DeployedTriggersListRequest;
import com.pipedream.api.types.EmitterType;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.deployedTriggers().list(
DeployedTriggersListRequest
.builder()
.externalUserId("external_user_id")
.after("after")
.before("before")
.limit(1)
.emitterType(EmitterType.EMAIL)
.build()
);
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/deployed-triggers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"owner_id": "<string>",
"component_id": "<string>",
"configurable_props": [
{
"name": "<string>",
"type": "alert",
"content": "<string>",
"label": "<string>",
"description": "<string>",
"optional": true,
"disabled": true,
"readOnly": true,
"hidden": true,
"remoteOptions": true,
"useQuery": true,
"reloadProps": true,
"withLabel": true
}
],
"configured_props": {},
"active": true,
"created_at": 123,
"updated_at": 123,
"name": "<string>",
"name_slug": "<string>",
"type": "DeployedComponent",
"component_key": "<string>",
"callback_observations": "<unknown>",
"emit_on_deploy": true,
"webhook_signing_key": "<string>"
}
],
"page_info": {
"count": 10,
"total_count": 120,
"start_cursor": "<string>",
"end_cursor": "<string>"
}
}{
"error": "Throttled"
}Authorizations
ConnectTokenOAuth2
A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.
Headers
The environment in which the server client is running
Available options:
development, production Path Parameters
The project ID, which starts with proj_.
Pattern:
^proj_[a-zA-Z0-9]+$Query Parameters
The cursor to start from for pagination
The cursor to end before for pagination
The maximum number of results to return
Your end user ID, for whom you deployed the trigger
Filter deployed triggers by emitter type (defaults to 'source' if not provided) The type of the event emitting interface
Available options:
email, http, source, timer Was this page helpful?
⌘I